'use strict';

exports.__esModule = true;

var _values = require('babel-runtime/core-js/object/values');

var _values2 = _interopRequireDefault(_values);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _palette = require('../../../palette');

var _palette2 = _interopRequireDefault(_palette);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _externalAttributeFilter = require('../../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var STATE_COLOR_MAP = {
  CRITICAL: 'critical',
  WARNING: 'warning',
  NORMAL: 'normal',
  BLUE: 'blue' // @deprecated
};
var LargeCardGutter = function LargeCardGutter(props) {
  var externalAttributes = (0, _externalAttributeFilter2['default'])(props);
  var color = '';
  switch (props.color) {
    case STATE_COLOR_MAP.CRITICAL:
      color = _palette2['default'].red;
      break;
    case STATE_COLOR_MAP.WARNING:
      color = _palette2['default'].yellow;
      break;
    case STATE_COLOR_MAP.NORMAL:
      color = _palette2['default'].blue;
      break;
    case STATE_COLOR_MAP.BLUE:
      color = _palette2['default'].blue;
      break;
    default:
      color = props.color;
  }
  return _react2['default'].createElement(_flexboxReact2['default'], (0, _extends3['default'])({}, externalAttributes, {
    className: 'fullview__left_border ' + (props.className || ''),
    width: '9px',
    style: { backgroundColor: color } }));
};

LargeCardGutter.defaultProps = {};

LargeCardGutter.propTypes = {
  /** color of gutter. use `LargeCardGutter.STATE_COLOR_MAP` or any standard web color string  */
  color: _propTypes2['default'].oneOf((0, _values2['default'])(STATE_COLOR_MAP).concat(_propTypes2['default'].string))
};
LargeCardGutter.STATE_COLOR_MAP = STATE_COLOR_MAP;

exports['default'] = LargeCardGutter;
module.exports = exports['default'];
//# sourceMappingURL=LargeCardGutter.js.map