'use strict';

exports.__esModule = true;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

require('../../../styles/components/thin-card.css');

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _externalAttributeFilter = require('../../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

var _ThinCardTitle = require('./ThinCardTitle');

var _ThinCardTitle2 = _interopRequireDefault(_ThinCardTitle);

var _ThinCardPrimaryAction = require('./ThinCardPrimaryAction');

var _ThinCardPrimaryAction2 = _interopRequireDefault(_ThinCardPrimaryAction);

var _ThinCardActionButton = require('./ThinCardActionButton');

var _ThinCardActionButton2 = _interopRequireDefault(_ThinCardActionButton);

var _ThinCardWidget = require('./ThinCardWidget');

var _ThinCardWidget2 = _interopRequireDefault(_ThinCardWidget);

var _ThinCardDrawer = require('./ThinCardDrawer');

var _ThinCardDrawer2 = _interopRequireDefault(_ThinCardDrawer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var ThinCard = function ThinCard(props) {
  var borderClass = '';
  if (props.noBorder) {
    borderClass = 'thincard__noborder';
  }
  if (props.folder) {
    borderClass += ' thincard__folderpad';
  }
  var externalAttributes = (0, _externalAttributeFilter2['default'])(props);
  return _react2['default'].createElement(
    _flexboxReact2['default'],
    (0, _extends3['default'])({}, externalAttributes, {
      flexDirection: 'column',
      className: 'octagon thincard__row ' + borderClass + ' ' + props.className,
      key: props.data.id }),
    props.folder ? _react2['default'].createElement('div', { className: 'topedge' }) : '',
    _react2['default'].createElement(
      _flexboxReact2['default'],
      { flexDirection: 'row', flexGrow: 3, className: 'primary-content' },
      props.children
    ),
    props.drawer
  );
};
ThinCard.Title = _ThinCardTitle2['default'];
ThinCard.PrimaryAction = _ThinCardPrimaryAction2['default'];
ThinCard.ActionButton = _ThinCardActionButton2['default'];
ThinCard.Widget = _ThinCardWidget2['default'];
ThinCard.Drawer = _ThinCardDrawer2['default'];
ThinCard.defaultProps = {
  folder: true,
  noBorder: false
};
ThinCard.propTypes = {
  folder: _propTypes2['default'].bool,
  noBorder: _propTypes2['default'].bool
};
exports['default'] = ThinCard;
module.exports = exports['default'];
//# sourceMappingURL=ThinCard.js.map